package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag201;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.mt2XXAbsCreator.MT201AbsCreator;

public class Tag20Creator extends AbsTagCreate {
    private MT201AbsCreator MT201AbsCreator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.MT201AbsCreator = (MT201AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = MT201AbsCreator.getTransactionReferenceNumber();
        MT201AbsCreator.set("20", tag20Value);
    }
}